{% extends '../base.html'%} {% block main %} {% load static %}


<div class="conatiner-all d-flex position-relative">
  {% include "../components/quick_access.html" %}
  {% include "./admin-aside.html" %}

  <style>
    .delete-button {
      display: flex;
      justify-content: center;
    }
  </style>
  <div class="table-container">
    <p class="text-center fs-4 mt-3">Modifications de site</p>
    <div class="add-article">
      <form method="POST" enctype="multipart/form-data">
        {% csrf_token %}
        <h3 class="text-center">Modification des attributs de la seconde slider</h3>
        <p class="text-center">Dimensions de l'image<br>Hauteur : 1000px<br>Largeur : 400px</p>
        <label for="current-images">
          Images actuelles&nbsp;:<br />
          <span style="font-size: 10px">
            **Pour supprimer une image, cliquez sur l'image, puis sur le bouton en
            forme de X.
          </span>
        </label>
        <div class="d-flex flex-column justify-content-center align-content-center px-2 py-3 border rounded ">
          <h5 class="text-center">Slider n 1</h5>
          <div class="inputs">
            <div class="mb-3">
              <label for="slider-1-url">Le line</label>
              <input type="url" {% if sliders and sliders.0 and sliders.0.url %} value="{{ sliders.0.url }}" {% endif %} required name="slider-1-url" id="slider-1-url" class="form-control">
            </div>
            <label>L'image</label>
            <div class="d-flex justify-content-center align-content-center">
              <label for="slider-1-img" class="fa-solid fa-plus fa-cloud-arrow-up p-2 rounded cursor-pointer" style="font-size: 2rem; border: 2px dotted black"></label>
              <input type="file" name="slider-1-img" class="text form-control sliders-img d-none" id="slider-1-img" accept="image/*">
            </div>
          </div>
          <div class="image-container image-containers" id="image-container-1">
            {% if sliders and sliders.0 and sliders.0.image.url %}
            <div class="image-wrapper">
              <img src="../../media/{{ sliders.0.image.url }}" alt="image from your device">
              <a href="{% url 'delete_image' sliders.0.image.id %}" class="normal-link delete-button">x</a>
            </div>
            {% endif %}
          </div>
        </div>

        <script>


        </script>
        <br>
        <div class="d-flex flex-column justify-content-center align-content-center px-2 py-3 border rounded ">
          <h5 class="text-center">Slider n 2</h5>
          <div class="inputs">
            <div class="mb-3">
              <label for="slider-2-url">Le line</label>
              <input type="url" {% if sliders and sliders.1 and sliders.1.url %} value="{{ sliders.1.url }}" {% endif %} required name="slider-2-url" id="slider-2-url" class="form-control">
            </div>
            <label>L'image</label>
            <div class="d-flex justify-content-center align-content-center">
              <label for="slider-2-img" class="fa-solid fa-plus fa-cloud-arrow-up p-2 rounded cursor-pointer" style="font-size: 2rem; border: 2px dotted black"></label>
              <input type="file" name="slider-2-img" class="text form-control sliders-img d-none" id="slider-2-img" accept="image/*">
            </div>
          </div>
          <div class="image-container image-containers" id="image-container-2">
            {% if sliders and sliders.1 and sliders.1.image.url %}
            <div class="image-wrapper">
              <img src="../../media/{{ sliders.1.image.url }}" alt="image from your device">
              <a href="{% url 'delete_image' sliders.1.image.id %}" class="normal-link delete-button">x</a>
            </div>
            {% endif %}
          </div>
        </div>


        <div class="w-100 d-flex justify-content-center align-content-center mt-4">
          <button class="normal-btn validate bg-success text-white px-3 py-2 rounded shadow d-flex justify-content-center align-items-center gap-2" type="submit"><i class="fa-solid fa-check fs-5"></i> Valider</button>
        </div>
      </form>
    </div>
  </div>
</div>
<script src="{% static 'assets/js/script.js' %}"></script>
<script>

addImagesToContainersForSliders()

</script>
{% endblock main%}
